Skip to main content

Requirements

The current Version need the qt Toolkit from Qt Project the requiered Version is 4.3 (< 5.0) or higher.

optional:

Gnuplot, if Gnuplot is not in PATH, you can set the path to Gnuplot: "Edit" -> "Preferences"

Windows: Executable

Download the zip-Archive from the Windows folder.

Extract it in a folder.

Doubleclick the Executable file (.exe) in Filemanager or somewhat.

Windows: build from Source

if you have troubles to install the Qt toolkit, please read: "installation of Qt for Windows".

Download the newest arrowmatcher Package: http://sourceforge.net/projects/arrowmatcher/files/.
Unpack it in a Directory.

Please read "Windows".

Linux: precompiled binary

I have build some precompiled Packages, which are easy to install:

Linux Packages

To run arrowmacher from a terminal:

arrowmatcher

Linux: build from Source

Download the latest version.

"unpack":

tar -xzf arrowmatcher2-<version>.tar.gz

change in the new directory:

cd arrowmatcher2-<version>

set the path (if necessary):

export QTDIR=/usr/local/Trolltech/Qt-4.x
export PATH=$QTDIR/bin:$PATH

build arrowmatcher:

qmake -makefile  arrowmatcher2.pro
make

Start:

./src/release/arrowmatcher2 

Mac OS

Download the latest version.

XCode is requiered. It is not installed by default, so you can install it from the install DVD, or download from web.

start the Terminal:

cd Downloads/arrowmatcher2-3.0.0

compile the ballistic library:

qmake -spec macx-g++ arrowmatcher2.pro
make

change to the directory where the new executable lives:

cd src/debug

Start:

arrowmatcher2.app/Contents/MacOS/arrowmatcher2